"ERROR: Dependency "x11" " na hora de instalar o vkBasalt

to tentando instalar o vkbasalt “GitHub - DadSchoorse/vkBasalt: a vulkan post processing layer for linux
mas na hora de usar o comando “meson --buildtype=release --prefix=/usr builddir” aparece…
"Run-time dependency x11 found: NO (tried pkgconfig and cmake)

src/meson.build:41:0: ERROR: Dependency “x11” not found, tried pkgconfig and cmake"
não faço ideia o que é isso

Falta ainda as bibliotecas de desenvolvimento do X11, que podem ser instaladas com

sudo apt install libx11-dev

Leia o arquivo meson.build e instale as dependências necessárias.

Captura de tela de 2020-09-20 05-20-17

Pacotes de fora do repositório são chatinhos para compilar pois não podemos utilizar o builddep.
Normalmente no meson.build verá algo parecido com isso, caso a versão seja inferior não compila, no ex dependências do gnome-shell git, normalmente bastaria um apt/dnf builddep gnome-shell que todas dependências de compilação seriam instaladas.

Creio que se você puxar as dependências do xterm já adianta a dor de cabeça de ficar procurando por pacotes *-dev.

vlw cara funcinou mas agr estou tento outro problema na hora de instalar a de 32bits

“ASFLAGS=–32 CFLAGS=-m32 CXXFLAGS=-m32 PKG_CONFIG_PATH=/usr/lib32/pkgconfig meson --prefix=/usr --buildtype=release --libdir=lib32 -Dwith_json=false builddir.32”

que esta dando o erro “meson.build:1:0: ERROR: Compiler c++ can not compile programs”

o comando do amigo de cima ja arrumou mas agora estou com outro problema na hora de instalar de 32bits

“ASFLAGS=–32 CFLAGS=-m32 CXXFLAGS=-m32 PKG_CONFIG_PATH=/usr/lib32/pkgconfig meson --prefix=/usr --buildtype=release --libdir=lib32 -Dwith_json=false builddir.32”

que esta dando o erro “meson.build:1:0: ERROR: Compiler c++ can not compile programs”

Você instalou o pacote build-essential? isso vai instalar quase toda parafernália para compilação inclusive o g++ e a libstdc++, na verdade esses pacotes já deveriam ter sido instalados junto com o cmake, seria o normal.

Sugestão do Github:

sudo apt --reinstall install gcc-multilib g++-multilib
sudo apt --reinstall install g++
sudo apt --reinstall install build-essential